# Enum LogLevel

java.lang.Object
java.lang.Enum<LogLevel>
com.databricks.jdbc.common.LogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<LogLevel>`, `java.lang.constant.Constable`

public enum LogLevel extends Enum<LogLevel>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEBUG`
`ERROR`
`FATAL`
`INFO`
`OFF`
`TRACE`
`WARN`

## Method Summary

Modifier and Type
Method
Description
`static LogLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LogLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final LogLevel OFF

### FATAL

public static final LogLevel FATAL

### ERROR

public static final LogLevel ERROR

### WARN

public static final LogLevel WARN

### INFO

public static final LogLevel INFO

### DEBUG

public static final LogLevel DEBUG

### TRACE

public static final LogLevel TRACE

## Method Details

### values

public static LogLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LogLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null